---
title: "FreeBSD 8.2-RELEASE Release Notes"
sidenav: download
---

++++


<h3 class="CORPAUTHOR">The FreeBSD Project</h3>

<p class="COPYRIGHT">Copyright &copy; 2011 The FreeBSD Documentation Project</p>

<p class="PUBDATE">$FreeBSD: stable/8/release/doc/en_US.ISO8859-1/relnotes/article.sgml
219006 2011-02-24 19:11:27Z hrs $<br />
</p>

<div class="LEGALNOTICE"><a id="TRADEMARKS" name="TRADEMARKS"></a>
<p>FreeBSD is a registered trademark of the FreeBSD Foundation.</p>

<p>IBM, AIX, EtherJet, Netfinity, OS/2, PowerPC, PS/2, S/390, and ThinkPad are trademarks
of International Business Machines Corporation in the United States, other countries, or
both.</p>

<p>IEEE, POSIX, and 802 are registered trademarks of Institute of Electrical and
Electronics Engineers, Inc. in the United States.</p>

<p>Intel, Celeron, EtherExpress, i386, i486, Itanium, Pentium, and Xeon are trademarks or
registered trademarks of Intel Corporation or its subsidiaries in the United States and
other countries.</p>

<p>SPARC, SPARC64, SPARCengine, and UltraSPARC are trademarks of SPARC International, Inc
in the United States and other countries. SPARC International, Inc owns all of the SPARC
trademarks and under licensing agreements allows the proper use of these trademarks by
its members.</p>

<p>Many of the designations used by manufacturers and sellers to distinguish their
products are claimed as trademarks. Where those designations appear in this document, and
the FreeBSD Project was aware of the trademark claim, the designations have been followed
by the &#8220;&trade;&#8221; or the &#8220;&reg;&#8221; symbol.</p>
</div>

<div>
<div class="ABSTRACT"><a id="AEN18" name="AEN18"></a>
<p>The release notes for FreeBSD 8.2-RELEASE contain a summary of the changes made to the
FreeBSD base system on the 8.2-STABLE development line. This document lists applicable
security advisories that were issued since the last release, as well as significant
changes to the FreeBSD kernel and userland. Some brief remarks on upgrading are also
presented.</p>
</div>
</div>

<hr />
</div>

<div class="TOC">
<dl>
<dt><b>Table of Contents</b></dt>

<dt>1 <a href="#INTRO">Introduction</a></dt>

<dt>2 <a href="#NEW">What's New</a></dt>

<dd>
<dl>
<dt>2.1 <a href="#SECURITY">Security Advisories</a></dt>

<dt>2.2 <a href="#KERNEL">Kernel Changes</a></dt>

<dd>
<dl>
<dt>2.2.1 <a href="#BOOT">Boot Loader Changes</a></dt>

<dt>2.2.2 <a href="#PROC">Hardware Support</a></dt>

<dt>2.2.3 <a href="#NET-PROTO">Network Protocols</a></dt>

<dt>2.2.4 <a href="#DISKS">Disks and Storage</a></dt>

<dt>2.2.5 <a href="#FS">File Systems</a></dt>
</dl>
</dd>

<dt>2.3 <a href="#USERLAND">Userland Changes</a></dt>

<dd>
<dl>
<dt>2.3.1 <a href="#PERIODIC-SCRIPTS"><tt class="FILENAME">/etc/periodic</tt>
Scripts</a></dt>
</dl>
</dd>

<dt>2.4 <a href="#CONTRIB">Contributed Software</a></dt>

<dt>2.5 <a href="#PORTS">Ports/Packages Collection Infrastructure</a></dt>

<dt>2.6 <a href="#RELENG">Release Engineering and Integration</a></dt>
</dl>
</dd>

<dt>3 <a href="#UPGRADE">Upgrading from previous releases of FreeBSD</a></dt>
</dl>
</div>

<div class="SECT1">
<h2 class="SECT1"><a id="INTRO" name="INTRO">1 Introduction</a></h2>

<p>This document contains the release notes for FreeBSD 8.2-RELEASE. It describes
recently added, changed, or deleted features of FreeBSD. It also provides some notes on
upgrading from previous versions of FreeBSD.</p>

<p>This distribution of FreeBSD 8.2-RELEASE is a release distribution. It can be found at
<a href="ftp://ftp.FreeBSD.org/" target="_top">ftp://ftp.FreeBSD.org/</a> or any of its
mirrors. More information on obtaining this (or other) release distributions of FreeBSD
can be found in the <a href="../../../../doc/en_US.ISO8859-1/books/handbook/mirrors.html"
target="_top">&#8220;Obtaining FreeBSD&#8221; appendix</a> to the <a
href="../../../../doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>.</p>

<p>All users are encouraged to consult the release errata before installing FreeBSD. The
errata document is updated with &#8220;late-breaking&#8221; information discovered late
in the release cycle or after the release. Typically, it contains information on known
bugs, security advisories, and corrections to documentation. An up-to-date copy of the
errata for FreeBSD 8.2-RELEASE can be found on the FreeBSD Web site.</p>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="NEW" name="NEW">2 What's New</a></h2>

<p>This section describes the most user-visible new or changed features in FreeBSD since
8.1-RELEASE.</p>

<p>Typical release note items document recent security advisories issued after
8.1-RELEASE, new drivers or hardware support, new commands or options, major bug fixes,
or contributed software upgrades. They may also list changes to major ports/packages or
release engineering practices. Clearly the release notes cannot list every single change
made to FreeBSD between releases; this document focuses primarily on security advisories,
user-visible changes, and major architectural improvements.</p>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="SECURITY" name="SECURITY">2.1 Security Advisories</a></h3>

<p>Problems described in the following security advisories have been fixed. For more
information, consult the individual advisories available from <a
href="http://security.FreeBSD.org/" target="_top">http://security.FreeBSD.org/</a>.</p>

<div class="INFORMALTABLE"><a id="AEN38" name="AEN38"></a>
<table border="0" frame="void" width="100%" class="CALSTABLE">
<col width="20%" />
<col width="20%" />
<col width="60%" />
<thead>
<tr>
<th>Advisory</th>
<th>Date</th>
<th>Topic</th>
</tr>
</thead>

<tbody>
<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-10:08.bzip2.asc"
target="_top">SA-10:08.bzip2</a></td>
<td>20&nbsp;September&nbsp;2010</td>
<td>
<p>Integer overflow in bzip2 decompression</p>
</td>
</tr>

<tr>
<td><a href="http://security.freebsd.org/advisories/FreeBSD-SA-10:10.openssl.asc"
target="_top">SA-10:10.openssl</a></td>
<td>29&nbsp;November&nbsp;2010</td>
<td>
<p>OpenSSL multiple vulnerabilities</p>
</td>
</tr>
</tbody>
</table>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="KERNEL" name="KERNEL">2.2 Kernel Changes</a></h3>

<p>[ia64] The maximum number of pages used for DMA bounce buffer pool has been increased
from 256 to 1024.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209326"
target="_top">r209326</a>]</p>

<p>[powerpc] The default value of <code class="VARNAME">kern.hz</code> has been increased
from 100 to 1000.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209765"
target="_top">r209765</a>]</p>

<p>[powerpc] The SMP kernel now works on MPC7400-based Apple desktop machines such as
PowerMac3,3.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209767"
target="_top">r209767</a>]</p>

<p>[powerpc] FreeBSD/powerpc now supports DMA bounce buffer which is required on systems
with larger RAM than 4GB.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211593"
target="_top">r211593</a>]</p>

<p>[mips] FreeBSD/mips support has been improved. It now supports SMP on a SWARM with a
dual-core Sibyte processor.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215938"
target="_top">r215938</a>]</p>

<p>[mips] FreeBSD/mips now supports Netlogic Microsystems' XLR and XLS multi-core
processor families.</p>

<p>[sparc64] FreeBSD/sparc64 now supports reservation-based physical memory allocation
which provides better performance.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215598"
target="_top">r215598</a>]</p>

<p>[amd64] FreeBSD/amd64 now always sets the KVA space as equal to or larger than
physical memory size. The default size was calculated based on one-third of the physical
memory size by a code derived from one for i386. It has been changed because constraints
for memory space are not severe on amd64 and this change would help to prevent a
&#8220;kmem_map too small&#8221; panic which often occurs when using ZFS.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214620"
target="_top">r214620</a>]</p>

<p>[amd64, i386] CPU topology detection for Intel CPUs has been improved.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214621"
target="_top">r214621</a>]</p>

<p>[amd64, i386] ACPI suspend/resume functionality support has been improved.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215513"
target="_top">r215513</a>]</p>

<p>[amd64, i386] FreeBSD kernel now supports <code
class="FUNCTION">kern_fpu_enter()</code> and <code
class="FUNCTION">kern_fpu_leave()</code> KPIs which allow the kernel subsystems to use
XMM register files used in Intel SSE (Streaming SIMD Extensions).[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215513"
target="_top">r215513</a>]</p>

<p>[amd64, i386, ia64] The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=acpi&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">acpi</span>(4)</span></a> driver
now uses ACPI Reset Register capability by default only when a flag in the FADT which
indicates it is available. This behavior was controlled by a <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable <code class="VARNAME">hw.acpi.handle_reboot</code> and the default value was
always set to <tt class="LITERAL">0</tt>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215006"
target="_top">r215006</a>]</p>

<p>[amd64, i386, ia64] The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=acpi&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">acpi</span>(4)</span></a> driver
now supports new loader tunables <code class="VARNAME">hw.acpi.install_interface</code>
and <code class="VARNAME">hw.acpi.remove_interface</code>. For more details, see <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=acpi&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">acpi</span>(4)</span></a> manual
page.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215521"
target="_top">r215521</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=alq&amp;sektion=9&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">alq</span>(9)</span></a> support
has been improved. The <code class="FUNCTION">alq_writen()</code> and <code
class="FUNCTION">alq_getn()</code> KPIs have been extended to support variable length
messages, which is enabled at ALQ creation time depending on the arguments passed to
<code class="FUNCTION">alq_open()</code>. Also, the <tt
class="LITERAL">ALQ_NOACTIVATE</tt> and <tt class="LITERAL">ALQ_ORDERED</tt> flags have
been added to allow ALQ consumers to have more control over I/O scheduling and resource
acquisition respectively. These extensions are fully backward compatible.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209788"
target="_top">r209788</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=alq&amp;sektion=9&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">alq</span>(9)</span></a> support
is now provided as a kernel module <tt class="FILENAME">alq.ko</tt>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209783"
target="_top">r209783</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ddb&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ddb</span>(8)</span></a> kernel
debugger now supports an optional delay in <tt class="COMMAND">reset</tt> and <tt
class="COMMAND">reboot</tt> commands. This allows an administrator to break the system
into debugger and trigger automatic textdump when an unattended panic occurs.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209692"
target="_top">r209692</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ddb&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ddb</span>(8)</span></a> kernel
debugger now supports a <tt class="COMMAND">show cdev</tt> command. This displays the
list of all created cdev's, consisting of devfs node name and struct cdev address.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212230"
target="_top">r212230</a>]</p>

<p>The FreeBSD <tt class="FILENAME">GENERIC</tt> kernel is now compiled with <code
class="OPTION">KDB</code> and <code class="OPTION">KDB_TRACE</code> options. From
8.2-RELEASE the kernel supports displaying a stack trace on panic by using <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=stack&amp;sektion=9&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">stack</span>(9)</span></a>
facility with no debugger backend like <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ddb&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ddb</span>(8)</span></a>. Note
that this does not change the default behaviors of the <tt class="FILENAME">GENERIC</tt>
kernel on panic.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214326"
target="_top">r214326</a>]</p>

<p>The following <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variables are also now loader tunables: <code class="VARNAME">vm.kmem_size</code>, <code
class="VARNAME">vm.kmem_size_max</code>, and <code
class="VARNAME">vm.kmem_size_min</code>, <code
class="VARNAME">debug.kdb.stop_cpus</code>, <code
class="VARNAME">debug.trace_on_panic</code>, and <code
class="VARNAME">kern.sync_on_panic</code>. Also, new <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variables <code class="VARNAME">vm.kmem_map_size</code> for the current kmem map size and
<code class="VARNAME">vm.kmem_map_free</code> for largest contiguous free range in kmem
map, <code class="VARNAME">vfs.ncsizefactor</code> for size factor for namecache, and
<code class="VARNAME">vfs.ncnegfactor</code> for ratio of negative namecache entries have
been added.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213554"
target="_top">r213554</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213556"
target="_top">r213556</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213560"
target="_top">r213560</a>]</p>

<p>The FreeBSD <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=memguard&amp;sektion=9&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">memguard</span>(9)</span></a>
framework has been improved to make it able to detect use-after-free of allocated
memories over a longer time. For more details, see <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=memguard&amp;sektion=9&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">memguard</span>(9)</span></a>
manual page.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212427"
target="_top">r212427</a>]</p>

<p><tt class="LITERAL">PT_LWPINFO</tt> request to obtain information about the kernel
thread that caused the traced process to stop in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ptrace&amp;sektion=2&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ptrace</span>(2)</span></a>
process tracing and debugging facility has been improved. It now reports system call
entry and leave events, as well as availability of <code class="VARNAME">siginfo_t</code>
accompanying the reported signal.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214756"
target="_top">r214756</a>]</p>

<p>The FreeBSD <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=crypto&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">crypto</span>(4)</span></a>
framework (opencrypto) now supports XTS-AES (XEX-TCB-CTS, or XEX-based Tweaked Code Book
mode with CipherText Stealing), which is defined in IEEE Std. 1619-2007.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214254"
target="_top">r214254</a>]</p>

<p>[amd64] Xen HVM support in FreeBSD/amd64 kernel has been improved. For more details,
see <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=xen&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">xen</span>(4)</span></a> manual
page.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215788"
target="_top">r215788</a>]</p>

<p>[amd64, i386] The qpi(4) pseudo bus driver has been added. This supports extra PCI
buses on Intel QPI chipsets where various hardware such as memory controllers for each
socket is connected.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214784"
target="_top">r214784</a>]</p>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="BOOT" name="BOOT">2.2.1 Boot Loader Changes</a></h4>

<p>FreeBSD now fully supports GPT (GUID Partition Table). Checksums of primary header and
primary partition table are verified properly now.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213994"
target="_top">r213994</a>]</p>

<p>[powerpc] Memory management issues that prevented FreeBSD OpenFirmware loader and
netbooting from working have been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215919"
target="_top">r215919</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215920"
target="_top">r215920</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pxeboot&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pxeboot</span>(8)</span></a> now
uses NFS version 3 instead of version 2 by default.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212717"
target="_top">r212717</a>]</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="PROC" name="PROC">2.2.2 Hardware Support</a></h4>

<p>[amd64, i386] The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=aesni&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">aesni</span>(4)</span></a> driver
has been added. This supports AES accelerator on Intel CPUs and accelerates AES
operations for <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=crypto&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">crypto</span>(4)</span></a>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215633"
target="_top">r215633</a>]</p>

<p>[amd64, i386] The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=aibs&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">aibs</span>(4)</span></a> driver
has been added. This supports the hardware sensors in ASUS motherboards and replaces the
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=acpi_aiboost&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">acpi_aiboost</span>(4)</span></a>
driver.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210476"
target="_top">r210476</a>]</p>

<p>[amd64, i386] The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=coretemp&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">coretemp</span>(4)</span></a>
driver now supports Xeon 5500/5600 series.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211914"
target="_top">r211914</a>]</p>

<p>[powerpc] FreeBSD/powerpc now supports the I2C bus in Apple System Management Unit.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215694"
target="_top">r215694</a>]</p>

<p>[powerpc] A device driver that supports CPU temperature sensors on PowerMac 11,2 has
been added.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215695"
target="_top">r215695</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ehci&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ehci</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ohci&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ohci</span>(4)</span></a>, and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=uhci&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">uhci</span>(4)</span></a> driver
now support LOW speed BULK transfer mode.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215482"
target="_top">r215482</a>]</p>

<p>[amd64, i386] The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ichwd&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ichwd</span>(4)</span></a> driver
now supports Intel NM10 Express chipset watchdog timer.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209952"
target="_top">r209952</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tpm&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tpm</span>(4)</span></a> driver,
which supports Trusted Platform Module has been added.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215036"
target="_top">r215036</a>]</p>

<p>The xhci(4) driver, which supports Extensible Host Controller Interface (xHCI) and USB
3.0, has been added.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215944"
target="_top">r215944</a>]</p>

<div class="SECT4">
<hr />
<h5 class="SECT4"><a id="MM" name="MM">2.2.2.1 Multimedia Support</a></h5>

<p>The FreeBSD Linux emulation subsystem now supports the <b
class="APPLICATION">video4linux</b> API. This requires native <b
class="APPLICATION">video4linux</b> hardware drivers such as the ones provided by <tt
class="FILENAME">multimedia/pwcbsd</tt> and <tt
class="FILENAME">multimedia/webcamd</tt>.</p>

<p>MIDI input buffer size in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=uaudio&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">uaudio</span>(4)</span></a> driver
has been changed. This fixes a problem where the input appears several seconds late.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215483"
target="_top">r215483</a>]</p>

<p>An issue in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=uaudio&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">uaudio</span>(4)</span></a> driver
that prevented some USB audio devices from working has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215484"
target="_top">r215484</a>]</p>
</div>

<div class="SECT4">
<hr />
<h5 class="SECT4"><a id="NET-IF" name="NET-IF">2.2.2.2 Network Interface Support</a></h5>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=alc&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">alc</span>(4)</span></a> driver
now supports Atheros AR8151/AR8152 PCIe Gigabit/Fast Ethernet controllers.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212021"
target="_top">r212021</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=alc&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">alc</span>(4)</span></a> driver
was fixed that could lead to a system freeze when the system was booted without a cable
plugged in. This symptom was found in AR8132 on EEE PC.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215003"
target="_top">r215003</a>]</p>

<p>The TX interrupt moderation timer in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=alc&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">alc</span>(4)</span></a> driver
has been reduced from 50ms to 1ms. The 50ms timer resulted in a poor UDP performance.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212011"
target="_top">r212011</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=axe&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">axe</span>(4)</span></a> driver
has been improved for stability and better performance on the TX packet rate.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214297"
target="_top">r214297</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214298"
target="_top">r214298</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214301"
target="_top">r214301</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a> driver
now supports BCM5718 x2 PCI Express dual-port gigabit Ethernet controller family. This
family is the successor to the BCM5714/BCM5715 family and supports IPv4/IPv6 checksum
offloading, TSO, VLAN hardware tagging, jumbo frames, MSI/MSIX, IOV, RSS and TSS. The
current version of the driver supports all hardware features except IOV and RSS/TSS.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214997"
target="_top">r214997</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a> driver
which prevented TSO from working in BCM57780 has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211367"
target="_top">r211367</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a> driver
that could wrongly disable the TX checksum offloading feature as well when one tries to
disable only the RX checksum offloading has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214700"
target="_top">r214700</a>]</p>

<p>Some improvements for reliability of the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a> driver
with BCM5906 controller has been made.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214714"
target="_top">r214714</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a> driver
now supports hardware MAC statistics in controller's internal memory for BCM5705 or newer
Broadcom controllers. These counters can be accessed via <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable <code class="VARNAME">dev.bge.<tt
class="REPLACEABLE"><i>N</i></tt>.stats.*</code> and provide useful information to
diagnose driver issues.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214698"
target="_top">r214698</a>]</p>

<p>UDP checksum offloading in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a> driver
has been disabled by default. This is because Broadcom controllers have a bug which can
generate UDP datagrams with checksum value <tt class="LITERAL">0</tt> when TX UDP
checksum offloading is enabled. The checksum offloading can be enabled by using the
following loader tunable:[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213109"
target="_top">r213109</a>]</p>

<pre class="PROGRAMLISTING">
dev.bge.<tt class="REPLACEABLE"><i>N</i></tt>.forced_udpcsum
</pre>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a> driver
that could lead to poor performance on a system with more than 4 GB RAM has been fixed.
The cause was that all of Broadcom controllers except the BCM5755 and later have a bug in
4 GB-boundary DMA processing and used the bounce buffer in an inefficient way.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213593"
target="_top">r213593</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bwi&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bwi</span>(4)</span></a> driver,
which supports Broadcom BCM430* and BCM431* family Wireless Ethernet controllers, has
been added. This is not compiled into the <tt class="FILENAME">GENERIC</tt> kernel
because there are some problems. The kernel module <tt class="FILENAME">if_bwi.ko</tt> is
available and can be loaded without recompiling the kernel to enable this driver.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212275"
target="_top">r212275</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bwn&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bwn</span>(4)</span></a> driver
that prevented WPA authentication from working has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212274"
target="_top">r212274</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cdce&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cdce</span>(4)</span></a> driver
has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215499"
target="_top">r215499</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cxgb&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cxgb</span>(4)</span></a> driver
now supports the following new <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variables: <code class="VARNAME">hw.cxgb.nfilters</code> sets the maximum number of
entries in the hardware filter table, <code class="VARNAME">dev.cxgbc.<tt
class="REPLACEABLE"><i>N</i></tt>.pkt_timestamp</code> provides packet timestamp instead
of connection hash, and <code class="VARNAME">dev.cxgbc.<tt
class="REPLACEABLE"><i>N</i></tt>.core_clock</code> provides the core clock frequency in
kHz.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211848"
target="_top">r211848</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=em&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">em</span>(4)</span></a> driver has
been updated to version 7.1.9.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=igb&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">igb</span>(4)</span></a> driver
has been updated to version 2.0.7.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=em&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">em</span>(4)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=igb&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">igb</span>(4)</span></a> drivers
now provide statistics counters as <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a> MIB
objects.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209309"
target="_top">r209309</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=em&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">em</span>(4)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=igb&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">igb</span>(4)</span></a> drivers
now support the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=led&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">led</span>(4)</span></a> interface
via <tt class="FILENAME">/dev/led/em<tt class="REPLACEABLE"><i>N</i></tt></tt> and <tt
class="FILENAME">/dev/led/igb<tt class="REPLACEABLE"><i>N</i></tt></tt> for
identification LED control. The following command line makes the LED blink on <tt
class="LITERAL">em0</tt>:[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211241"
target="_top">r211241</a>]</p>

<pre class="SCREEN">
<samp class="PROMPT">#</samp> echo f2 &gt; /dev/led/em0
</pre>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=epair&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">epair</span>(4)</span></a> virtual
Ethernet interface driver now supports explicit UP/DOWN linkstate. This fixes an issue
when it is used with the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=carp&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">carp</span>(4)</span></a>
protocol.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212150"
target="_top">r212150</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fxp&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fxp</span>(4)</span></a> driver
now supports TSO over VLAN on i82550 and i82551 controllers.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214717"
target="_top">r214717</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=iwn&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">iwn</span>(4)</span></a> driver
now supports Intel Wireless WiFi Link 6000 series. The firmware has been updated to
version 9.221.4.1.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210673"
target="_top">r210673</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ixgbe&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ixgbe</span>(4)</span></a> driver
is now also provided as a kernel module.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212386"
target="_top">r212386</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ixgbe&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ixgbe</span>(4)</span></a> driver
has been updated to version 2.3.8. It now supports 82599, better interrupt handling,
hardware assist to LRO, VM SRIOV interface, and so on.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209308"
target="_top">r209308</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215970"
target="_top">r215970</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=217593"
target="_top">r217593</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=miibus&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">miibus</span>(4)</span></a> has
been rewritten for the generic IEEE 802.3 annex 31B full duplex flow control support. The
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=alc&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">alc</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bce&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bce</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cas&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cas</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fxp&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fxp</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gem&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gem</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=jme&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">jme</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=msk&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">msk</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=nfe&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">nfe</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=re&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=stge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">stge</span>(4)</span></a>, and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=xl&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">xl</span>(4)</span></a> drivers
along with atphy(4), bmtphy(4), brgphy(4), e1000phy(4), gentbi(4), inphy(4),
ip1000phy(4), jmphy(4), nsgphy(4), nsphyter(4), and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rgephy&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rgephy</span>(4)</span></a> have
been updated to support flow control via this facility.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211379"
target="_top">r211379</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215881"
target="_top">r215881</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215890"
target="_top">r215890</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=2105894"
target="_top">r2105894</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216002"
target="_top">r216002</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216023"
target="_top">r216023</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216029"
target="_top">r216029</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216031"
target="_top">r216031</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216033"
target="_top">r216033</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mwlfw&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mwlfw</span>(4)</span></a> driver
is now also provided as a kernel module.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212386"
target="_top">r212386</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mxge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mxge</span>(4)</span></a> driver
that prevented TSO from working has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216054"
target="_top">r216054</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=nfe&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">nfe</span>(4)</span></a> driver
now supports WoL (Wake on LAN).[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215456"
target="_top">r215456</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=re&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a> driver now
supports 64-bit DMA addressing for RTL810xE/RTL8168/RTL8111 PCIe controllers.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215218"
target="_top">r215218</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=re&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a> driver now
supports hardware interrupt moderation of TX completion interrupts on RTL8169/RTL8168
controllers.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215405"
target="_top">r215405</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rl&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rl</span>(4)</span></a> driver now
supports WoL (Wake on LAN) on RTL8139B or newer controllers.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211377"
target="_top">r211377</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rl&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rl</span>(4)</span></a> driver now
supports reading hardware statistics counters by setting a <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable <code class="VARNAME">dev.rl.<tt class="REPLACEABLE"><i>N</i></tt>.stats</code>
to <tt class="LITERAL">1</tt>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215222"
target="_top">r215222</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rl&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rl</span>(4)</span></a> driver now
supports a device hint to change a way of register access. Although some newer RTL8139
controllers support memory-mapped register access, it is difficult to detect the support
automatically. For this reason the driver uses I/O mapping by default and provides the
following device hint. If it is set to <tt class="LITERAL">0</tt>, the driver uses memory
mapping for register access.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212039"
target="_top">r212039</a>]</p>

<pre class="PROGRAMLISTING">
hint.rl.<tt class="REPLACEABLE"><i>N</i></tt>.prefer_iomap="0"
</pre>

<p>Note that the default value is <tt class="LITERAL">1</tt>.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rl&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rl</span>(4)</span></a> driver has
improved interrupt handling. It now has better TX performance under high RX load.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214407"
target="_top">r214407</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sk&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sk</span>(4)</span></a> driver has
been fixed. It did not program the station address for Yukon controllers and overriding
the station address with <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ifconfig&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ifconfig</span>(8)</span></a> was
not possible.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215216"
target="_top">r215216</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sk&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sk</span>(4)</span></a> driver now
disables TX checksum offloading by default. This is because some revisions of the Yukon
controller generate corrupted frames. The checksum offloading can be enabled manually by
using <code class="OPTION">txcsum</code> option in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ifconfig&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ifconfig</span>(8)</span></a>
utility.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211359"
target="_top">r211359</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sis&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sis</span>(4)</span></a> driver
now works on all supported platforms. Some stability and performance issues have also
been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212468"
target="_top">r212468</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213612"
target="_top">r213612</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213628"
target="_top">r213628</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sis&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sis</span>(4)</span></a> driver
now supports WoL (Wake on LAN) on NS DP8315 controller.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213637"
target="_top">r213637</a>]</p>

<p>A tunable <code class="VARNAME">dev.sis.<tt
class="REPLACEABLE"><i>N</i></tt>.manual_pad</code> for the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sis&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sis</span>(4)</span></a> driver
has been added. This controls whether padding with 0x00 for short frames is done by CPU,
rather than the controller. The reason why this tunable has been added is that NS
DP83815/DP83816 pads them with 0xff though RFC 1042 specifies it should be 0x00. The
tunable is disabled by default, which means padding with 0xff is used because padding
with 0x00 by software needs extra CPU cycles. Enabling <code
class="VARNAME">manual_pad</code>, by setting this <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable to a non-zero value, forces the use of software padding.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213626"
target="_top">r213626</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ste&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ste</span>(4)</span></a> driver
now supports a device hint to change the device register access mode. The driver uses
memory-mapped register access by default, but this caused stability problems with some
old IC Plus Corp (formerly Sundace) controllers. The following device hint makes the
driver use I/O mapping for register access:[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211357"
target="_top">r211357</a>]</p>

<pre class="PROGRAMLISTING">
hint.ste.<tt class="REPLACEABLE"><i>N</i></tt>.prefer_iomap="1"
</pre>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=xl&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">xl</span>(4)</span></a> driver now
supports WoL (Wake on LAN). Note that not all controllers support this functionality and
some need an additional remote wakeup cable.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213120"
target="_top">r213120</a>]</p>
</div>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="NET-PROTO" name="NET-PROTO">2.2.3 Network Protocols</a></h4>

<p>An issue in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=carp&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">carp</span>(4)</span></a> pseudo
interface and linkstate changes of the underlying interfaces has been fixed. This
happened when a <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=carp&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">carp</span>(4)</span></a>
interface was created before the underlying interface and its linkstate became <tt
class="LITERAL">UP</tt>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213505"
target="_top">r213505</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfw</span>(4)</span></a> packet
filter subsystem has been fixed. The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable <code class="VARNAME">net.inet.ip.fw.one_pass</code> did not work for <tt
class="LITERAL">netgraph</tt> action and in-kernel NAT.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212738"
target="_top">r212738</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216348"
target="_top">r216348</a>]</p>

<p>A new loader tunable <code class="VARNAME">net.link.ifqmaxlen</code> has been added.
It specifies the default value of send interface queue length. The default value for this
parameter is <code class="VARNAME">50</code>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215342"
target="_top">r215342</a>]</p>

<p>The <tt class="LITERAL">ngtee</tt> action in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfw</span>(4)</span></a> packet
filter subsystem has been changed. It no longer accepts a packet.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212742"
target="_top">r212742</a>]</p>

<p>A possible panic in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfw</span>(4)</span></a> pseudo
interface for logging has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214108"
target="_top">r214108</a>]</p>

<p>IPsec flow distribution has been improved for more parallel processing.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209691"
target="_top">r209691</a>]</p>

<p>A bug in the FreeBSD IPv4 stack that prevented adding a proxy ARP entry over <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=netgraph&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">netgraph</span>(4)</span></a>
interfaces has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209277"
target="_top">r209277</a>]</p>

<p>A bug in the FreeBSD IPv6 stack that prevented an <code class="OPTION">-I</code> in
the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ping6&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ping6</span>(8)</span></a> utility
from working with <code class="VARNAME">net.inet6.ip6.use_defaultzone=1</code> has been
fixed.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211435"
target="_top">r211435</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=lagg&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">lagg</span>(4)</span></a>
interface now supports a <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable <code class="VARNAME">net.link.lagg.failover_rx_all</code>. This controls
whether to accept input packets on any link in a failover lagg.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214111"
target="_top">r214111</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_eiface&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_eiface</span>(4)</span></a> <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=netgraph&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">netgraph</span>(4)</span></a> node
now supports VLAN-compatible MTU and an MTU size which is larger than 1500.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215869"
target="_top">r215869</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_ether&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_ether</span>(4)</span></a> <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=netgraph&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">netgraph</span>(4)</span></a> node
now supports interface transfer between multiple virtual network stacks by <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ifconfig&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ifconfig</span>(8)</span></a> <tt
class="COMMAND">vnet</tt> command. A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_ether&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_ether</span>(4)</span></a> node
associated with a network interface is now destroyed and recreated when the network
interface is moved to another vnet.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212320"
target="_top">r212320</a>]</p>

<p>A new <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=netgraph&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">netgraph</span>(4)</span></a> node
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_patch&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_patch</span>(4)</span></a> has
been added. This performs data modification of packets passing through. Modifications are
restricted to a subset of C language operations on unsigned integers of 8, 16, 32 or
64-bit size.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209843"
target="_top">r209843</a>]</p>

<p>An ICMP unreachable problem in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pf&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pf</span>(4)</span></a> packet
filter subsystem when TSO support is enabled has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212905"
target="_top">r212905</a>]</p>

<p>The TCP bandwidth delay product window limiting algorithm controlled by the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable <code class="VARNAME">net.inet.tcp.inflight.enable</code> is now disabled by
default. It has been found that this algorithm is inefficient on a fast network with
smaller RTT than 10ms. It had been enabled by default since 5.2-RELEASE, and then had
been disabled only if the RTT was lesser than 10ms since 7.0-RELEASE. Pluggable TCP
congestion control algorithm modules are planned to be added for the future releases.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211538"
target="_top">r211538</a>]</p>

<p>A bug in FreeBSD TCP Path MTU discovery which could lead to a wrong calculation for an
MTU smaller than 256 octets has been fixed. Note that this bug did not affect MTUs equal
to or larger than 256 octets.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211602"
target="_top">r211602</a>]</p>

<p>The FreeBSD TCP reassembly implementation has been improved. A long-standing
accounting bug affecting SMP systems has been fixed and the <code
class="VARNAME">net.inet.tcp.reass.maxqlen</code> <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable has been retired in favor of a per-connection dynamic limit based on the receive
socket buffer size. FreeBSD receivers now handle packet loss (particularly losses caused
by queue overflows) significantly better than before which improves connection
throughput.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214865"
target="_top">r214865</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214866"
target="_top">r214866</a>]</p>

<p>The TCP initial window increase in RFC 3390 which can be controlled by a <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable <code class="VARNAME">net.inet.tcp.rfc3390</code> now reduces the congestion
window to the restart window if a TCP connection has been idle for one retransmit timeout
or more. For more details, see RFC 5681 Section 4.1.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211870"
target="_top">r211870</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=siftr&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">siftr</span>(4)</span></a>,
Statistical Information For TCP Research (SIFTR) kernel module has been added. This is a
facility that logs a range of statistics on active TCP connections to a log file. It
provides the ability to make highly granular measurements of TCP connection state, aimed
at system administrators, developers and researchers.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214859"
target="_top">r214859</a>]</p>

<p>FreeBSD virtual network stack (vnet) now supports IPv4 multicast routing.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212319"
target="_top">r212319</a>]</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="DISKS" name="DISKS">2.2.4 Disks and Storage</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ahci&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ahci</span>(4)</span></a> driver
now disables NCQ and PMP support on VIA VT8251 because they are unreliable under load.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211458"
target="_top">r211458</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ahci&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ahci</span>(4)</span></a> driver
now uses 15 seconds for device reset timeout instead of 10 seconds because some devices
need 10 - 12 seconds to spin up.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211718"
target="_top">r211718</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=arcmsr&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">arcmsr</span>(4)</span></a> driver
has been updated to version 1.20.00.19.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215825"
target="_top">r215825</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ada&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ada</span>(4)</span></a> driver
now supports a new <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable <code class="VARNAME">kern.cam.ada.spindown_shutdown</code> which controls
whether or not to spin-down disks when shutting down if the device supports the
functionality. The default value is <tt class="LITERAL">1</tt>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215173"
target="_top">r215173</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> driver
now supports limiting initial ATA mode for devices via device hints <code
class="VARNAME">hint.<tt class="REPLACEABLE"><i>devname</i></tt>.<tt
class="REPLACEABLE"><i>unit</i></tt>.dev<tt class="REPLACEABLE"><i>N</i></tt>.mode</code>
or <code class="VARNAME">hint.<tt class="REPLACEABLE"><i>devname</i></tt>.<tt
class="REPLACEABLE"><i>unit</i></tt>.mode</code>. The valid values are the same as ones
supported in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=atacontrol&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">atacontrol</span>(8)</span></a>
and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=camcontrol&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">camcontrol</span>(8)</span></a>
utilities.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210164"
target="_top">r210164</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> driver
now disables cable status check on both controller and device side when the loader
tunable <code class="VARNAME">hw.ata.ata_dma_check_80pin</code> is <tt
class="LITERAL">0</tt>. The check on controller side was performed regardless of this
loader tunable.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210204"
target="_top">r210204</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> driver
now reports SATA power management capabilities to the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=CAM&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">CAM</span>(4)</span></a> layer
when <code class="OPTION">ATA_CAM</code> is enabled. This allows a device to initiate
transitions if controller configured to accept it. This makes <code
class="VARNAME">hint.ata.<tt class="REPLACEABLE"><i>N</i></tt>.pm_level=1</code> mode
work.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215777"
target="_top">r215777</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> driver
has been improved on hotplugging and connection speed reporting support for some Intel
SATA controllers including ICH5 and ICH8+ operating in legacy mode.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214671"
target="_top">r214671</a>]</p>

<p>An issue of device detection of Serverworks K2 SATA controllers in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> has been
fixed.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213291"
target="_top">r213291</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> driver
that prevented some Silicon Image chipsets from working on big endian systems has been
fixed.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214667"
target="_top">r214667</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gconcat&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gconcat</span>(8)</span></a> GEOM
class now supports kernel crash dump. The dumping is performed to the component where a
dump partition begins.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214330"
target="_top">r214330</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> GEOM
class on little endian platforms has been fixed. The metadata version for newly created
providers has been updated to <tt class="LITERAL">4</tt> due to this. Providers with the
older versions are fully interoperable with 8.2-RELEASE and later by being treated as
ones with the native byte order flag automatically.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214405"
target="_top">r214405</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> GEOM
class now supports a <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable <code class="VARNAME">kern.geom.eli.overwrites</code>. This specifies the number
of times on-disk keys should be overwritten when destroying them. The default value is
<tt class="LITERAL">5</tt>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214405"
target="_top">r214405</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> GEOM
class has been improved for preventing the same encryption key from being used in 2^20
blocks (sectors).[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214405"
target="_top">r214405</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> GEOM
class now uses XTS-AES mode by default.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214405"
target="_top">r214405</a>]</p>

<p>A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
variable <code class="VARNAME">kern.geom.eli.debug</code> now allows a value <tt
class="LITERAL">-1</tt>. This means turn off any log messages of the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> GEOM
class.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214405"
target="_top">r214405</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mpt&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mpt</span>(4)</span></a> driver
now supports larger I/O sizes which the device and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=CAM&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">CAM</span>(4)</span></a> subsystem
can support. This was limited to 64KB, and the number of scatter/gather segments was
limited to 33 on platforms with 4K pages.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210376"
target="_top">r210376</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=twa&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">twa</span>(4)</span></a> driver
has been updated. The version number is 3.80.06.003.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209404"
target="_top">r209404</a>]</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="FS" name="FS">2.2.5 File Systems</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=linprocfs&amp;sektion=5&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">linprocfs</span>(5)</span></a>
Linux process file system now supports <tt class="FILENAME">proc/$$/environment</tt>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214050"
target="_top">r214050</a>]</p>

<p>The FreeBSD NFS client now supports a kernel environment variable <code
class="VARNAME">boot.nfsroot.nfshandlelen</code>. This lets the diskless root file system
on boot to use NFS version 3 and the specified file handle length. If this variable is
not set, NFS version 2 is used.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212716"
target="_top">r212716</a>]</p>

<p>The ZFS on-disk format has been updated to version 15.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212668"
target="_top">r212668</a>]</p>

<p>The ZFS metaslab code has been updated. This provides a noticeable improvement on
write speed, especially on pools with less than 30% of free space. The related
OpenSolaris Bug IDs are 6826241, 6869229, 6918420, and 6917066.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212671"
target="_top">r212671</a>]</p>

<p>The ZFS now supports offlining of log devices. The related OpenSolaris Bug IDs are
6599442, 6726045, and 6803605.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214013"
target="_top">r214013</a>]</p>

<p>Performance improvements for the ZFS have been imported from OpenSolaris. They include
caching of ACL permission checks, faster handling of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=stat&amp;sektion=2&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">stat</span>(2)</span></a>,
mitigation of mutex lock contention. The related OpenSolaris Bug IDs are 6802734,
6844861, 6848431, 6775100, 6827779, 6857433, 6860318, 6865875, 6867395, 6868276, and
6870564.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212672"
target="_top">r212672</a>]</p>

<p>The default value of <code class="VARNAME">vfs.zfs.vdev.max_pending</code> has been
decreased from 35 to 10 (OpenSolaris Bug ID is 6891731) to improve latency.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210541"
target="_top">r210541</a>]</p>

<p>Various bugs in the ZFS subsystem have been fixed. The related OpenSolaris Bug IDs
are: 6328632, 6396518, 6501037, 6504953, 6542860, 6551866, 6572357, 6572376, 6582163,
6586537, 6595194, 6596237, 6604992, 6621164, 6623978, 6633095, 6635482, 6664765, 6674216,
6696242, 6696858, 6702206, 6710376, 6713916, 6717022, 6722540, 6722991, 6737463, 6739487,
6739553, 6740164, 6745863, 6747596, 6747698, 6748436, 6755435, 6757430, 6758107, 6759986,
6759999, 6761100, 6761406, 6764124, 6765294, 6767129, 6769612, 6770866, 6774713, 6774886,
6775697, 6776104, 6776548, 6780491, 6784104, 6784108, 6785914, 6788152, 6788830, 6789318,
6790064, 6790345, 6790687, 6791064, 6791066, 6791071, 6791101, 6792134, 6792139, 6792884,
6793430, 6794136, 6794570, 6794830, 6797109, 6797118, 6798384, 6798878, 6799895, 6800184,
6800942, 6801507, 6801810, 6803343, 6803822, 6804954, 6807339, 6807765, 6809340, 6809683,
6809691, 6810367, 6815592, 6815893, 6816124, 6818183, 6821169, 6821170, 6822816, 6824006,
6824062, 6824968, 6826466, 6826468, 6826469, 6826470, 6826471, 6826472, 6827260, 6830237,
6830541, 6833162, 6833711, 6833999, 6834217, 6836714, 6836768, 6838062, 6838344, 6841321,
6843014, 6843069, 6843235, 6844069, 6844900, 6847229, 6848242, 6856634, 6857012, 6861983,
6862984, 6863610, 6870564, 6880764, 6882227, 6892298, 6898245, 6906110, 6906946, 6939941,
6950219, 6951024, and 6953403.</p>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="USERLAND" name="USERLAND">2.3 Userland Changes</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=arp&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">arp</span>(8)</span></a> utility
has been improved. It now runs faster even when a single interface has a number of
aliases.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209267"
target="_top">r209267</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=b64decode&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">b64decode</span>(1)</span></a>
utility that prevented an <code class="OPTION">-r</code> option from handling arbitrary
breaks in a base64 encoded string has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214729"
target="_top">r214729</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=calendar&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">calendar</span>(1)</span></a>
utility now supports repeating events which span multiple years, lunar events, and solar
events.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211723"
target="_top">r211723</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dhclient&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dhclient</span>(8)</span></a>
utility now reports a reason for exiting and the 10-second period in which the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dhclient&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dhclient</span>(8)</span></a>
ignores routing messages has been changed to start just after <tt
class="FILENAME">dhclient-script</tt> starts instead of just after it finished. This
change fixes a symptom that <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dhclient&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dhclient</span>(8)</span></a>
silently exits under a certain condition.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210915"
target="_top">r210915</a>]</p>

<p>Userland support for the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dtrace&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dtrace</span>(1)</span></a>
subsystem has been added. This allows inspection of userland software itself and its
correlation with the kernel, thus allowing a much better picture of what exactly is going
on behind the scenes. The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dtruss&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dtruss</span>(1)</span></a>
utility has been added and the <tt class="FILENAME">libproc</tt> library has been updated
to support the facility.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214983"
target="_top">r214983</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=du&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">du</span>(1)</span></a> utility
now supports a <code class="OPTION">-t <tt
class="REPLACEABLE"><i>threshold</i></tt></code> option to display entries that exceeds
the value of <tt class="REPLACEABLE"><i>threshold</i></tt>. If the value is negative, it
displays entries with a value less than the absolute value of <tt
class="REPLACEABLE"><i>threshold</i></tt>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209362"
target="_top">r209362</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fdisk&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fdisk</span>(8)</span></a> utility
now supports partitions which are provided by <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gjournal&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gjournal</span>(8)</span></a> or
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> GEOM
classes.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215667"
target="_top">r215667</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gcore&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gcore</span>(1)</span></a> utility
now supports an <code class="OPTION">-f</code> flag which forces a full dump of all the
segments except for the malformed ones.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210567"
target="_top">r210567</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> utility
now supports <tt class="COMMAND">resize</tt> subcommand to resize encrypted file systems
after growing it.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214405"
target="_top">r214405</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> utility
now supports <tt class="COMMAND">suspend</tt> and <tt class="COMMAND">resume</tt>
subcommands. The <tt class="COMMAND">suspend</tt> subcommand makes <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> devices
wait for all in-flight I/O requests, suspend new I/O requests, remove all <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a>
sensitive data from the kernel memory (like encryption keys) and will wait for either <tt
class="COMMAND">geli resume</tt> or <tt class="COMMAND">geli detach</tt> command. For
more information, see <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> manual
page.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214405"
target="_top">r214405</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> utility
now checks the metadata provider size strictly. If the check fails, the provider is not
attached. A new option <code class="OPTION">-f</code> can override this behavior.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214405"
target="_top">r214405</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> utility
now supports <code class="OPTION">-J <tt
class="REPLACEABLE"><i>newpassfile</i></tt></code> and <code class="OPTION">-j <tt
class="REPLACEABLE"><i>oldpassfile</i></tt></code> options for loading passphrase from a
file.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214405"
target="_top">r214405</a>]</p>

<p>The <code class="FUNCTION">gethost*()</code>, <code class="FUNCTION">getnet*()</code>,
and <code class="FUNCTION">getproto*()</code> functions now set the errno to <tt
class="LITERAL">ERANGE</tt> and the NSS backend terminates with <tt
class="LITERAL">NS_RETURN</tt> when the result buffer size is too small.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211938"
target="_top">r211938</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gpart&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gpart</span>(8)</span></a> utility
now supports a <tt class="COMMAND">resize</tt> command to resize partitions for all
schemes but EBR.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209497"
target="_top">r209497</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gpart&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gpart</span>(8)</span></a> utility
now supports <tt class="COMMAND">backup</tt> and <tt class="COMMAND">restore</tt>
subcommands to backup partition tables and restore them.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215941"
target="_top">r215941</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gpart&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gpart</span>(8)</span></a> utility
now handles given geom/provider names with and without <tt class="FILENAME">/dev/</tt>
prefix.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213661"
target="_top">r213661</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gpart&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gpart</span>(8)</span></a> utility
now supports an <code class="OPTION">-F</code> option for the <tt
class="COMMAND">destroy</tt> subcommand. This option forces destroying of the partition
table even if it is not empty.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213684"
target="_top">r213684</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gpart&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gpart</span>(8)</span></a> utility
now supports a <tt class="COMMAND">recover</tt> subcommand for GPT partition tables. A
corrupted GPT is now marked when the following three types of corruption:[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213684"
target="_top">r213684</a>]</p>

<ul>
<li>
<p>Primary GPT header or table is corrupted.</p>
</li>

<li>
<p>Secondary GPT header or table is corrupted.</p>
</li>

<li>
<p>Secondary GPT header is not located at the last LBA.</p>
</li>
</ul>

<p>Changes to the corrupted GPT table are not allowed except for <tt
class="COMMAND">destroy</tt> and <tt class="COMMAND">recover</tt> subcommands.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gpart&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gpart</span>(8)</span></a> utility
now supports <tt class="LITERAL">GPT_ENT_ATTR_BOOTME</tt>, <tt
class="LITERAL">GPT_ENT_ATTR_BOOTONCE</tt>, and <tt
class="LITERAL">GPT_ENT_ATTR_BOOTFAILED</tt> attributes in GPT. The attribute keywords in
the command line are <tt class="LITERAL">bootme</tt>, <tt class="LITERAL">bootonce</tt>,
and <tt class="LITERAL">bootfailed</tt> respectively.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213994"
target="_top">r213994</a>]</p>

<p>An issue in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=newfs&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">newfs</span>(8)</span></a> utility
has been fixed. A UFS1 file system created with 64KB blocksize was incorrectly recognized
as one with a broken superblock. This is because the FreeBSD kernel checks a partition
first for a UFS2 superblock at 64KB offset while it is possible that a UFS1 file systems
with 64KB blocksize has an alternative superblock at the same location. For example, a
file system created by <tt class="COMMAND">newfs -U -O 1 -b 65536 -f 8192</tt> could lead
to this symptom.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215728"
target="_top">r215728</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=hastd&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">hastd</span>(8)</span></a> utility
now supports <tt class="LITERAL">SIGHUP</tt> for reloading the configuration file. When
<tt class="LITERAL">SIGTERM</tt> or <tt class="LITERAL">SIGINT</tt> is received, the
worker processes terminate.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213049"
target="_top">r213049</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ifconfig&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ifconfig</span>(8)</span></a>
utility now check an invalid CIDR subnet notation more strictly. It wrongly accepted <tt
class="LITERAL">10.0.0.1/10.0.0.1</tt> as <tt class="LITERAL">10.0.0.1/10</tt>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212144"
target="_top">r212144</a>]</p>

<p>An accuracy issue in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=jn&amp;sektion=3&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">jn</span>(3)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=jnf&amp;sektion=3&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">jnf</span>(3)</span></a> functions
in <tt class="FILENAME">libm</tt> has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215237"
target="_top">r215237</a>]</p>

<p>Incorrect behaviors in stuttering sequences and reverse ranges in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=jot&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">jot</span>(1)</span></a> utility
have been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209284"
target="_top">r209284</a>]</p>

<p>The <tt class="FILENAME">libarchive</tt> library and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tar&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tar</span>(1)</span></a> utility
now support LZMA (Lempel-Ziv-Markov chain-Algorithm) compression format.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213667"
target="_top">r213667</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tar&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tar</span>(1)</span></a> utility
now supports a blocksize which is up to <tt class="LITERAL">8192</tt> (4MB) in the <code
class="OPTION">-b <tt class="REPLACEABLE"><i>blocksize</i></tt></code> option.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215229"
target="_top">r215229</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=lpr&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">lpr</span>(1)</span></a> utility
that prevented it from working with some files on a ZFS file system has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214442"
target="_top">r214442</a>]</p>

<p>The <code class="OPTION">-p</code> option in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mount&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mount</span>(8)</span></a> utility
now displays the <tt class="LITERAL">rw</tt> mount option correctly as in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fstab&amp;sektion=5&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fstab</span>(5)</span></a>
format.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213978"
target="_top">r213978</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ncal&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ncal</span>(1)</span></a> utility
has been updated. The option <code class="OPTION">-b</code> has been replaced with <code
class="OPTION">-C</code> and <code class="OPTION">-B <tt
class="REPLACEABLE"><i>number</i></tt></code>. Options <code class="OPTION">-3</code> to
show previous, current and next month, and <code class="OPTION">-A <tt
class="REPLACEABLE"><i>number</i></tt></code> to show months after current month have
been added. The option <code class="OPTION">-m <tt class="REPLACEABLE"><i>N</i></tt> <tt
class="REPLACEABLE"><i>YYYY</i></tt></code> now prints only the month, not the whole
year.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213889"
target="_top">r213889</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=newsyslog&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">newsyslog</span>(8)</span></a>
utility now supports an <code class="OPTION">-S <tt
class="REPLACEABLE"><i>pidfile</i></tt></code> option to override the default <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=syslogd&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">syslogd</span>(8)</span></a> PID
file.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211699"
target="_top">r211699</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=newsyslog&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">newsyslog</span>(8)</span></a>
utility now supports a special log file name <tt class="LITERAL">&lt;include&gt;</tt> for
processing file inclusion. Globbing in the file name and circular dependency detection
are supported. For more details, see the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=newsyslog.conf&amp;sektion=5&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">newsyslog.conf</span>(5)</span></a> manual page.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215622"
target="_top">r215622</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ntpd&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ntpd</span>(8)</span></a> utility
is now compiled with shared memory reference clock driver. For example, GPS devices can
be used as source of precise time via <tt class="FILENAME">astro/gpsd</tt> in the Ports
Collection.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213980"
target="_top">r213980</a>]</p>

<p>An off-by-one error in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pax&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pax</span>(1)</span></a> utility
when ustar file name is too long has been fixed.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212848"
target="_top">r212848</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkill&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkill</span>(1)</span></a> utility
now supports an <code class="OPTION">-l</code> option like the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=kill&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">kill</span>(1)</span></a> utility
does.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209912"
target="_top">r209912</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pmcstat&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pmcstat</span>(8)</span></a>
utility now supports a file and a network socket as a top source. A new option <code
class="OPTION">-O <tt class="REPLACEABLE"><i>filename</i></tt></code> specifies to send
log output to <tt class="REPLACEABLE"><i>filename</i></tt>, and another new option <code
class="OPTION">-R <tt class="REPLACEABLE"><i>filename</i></tt></code> specifies to
receive events from <tt class="REPLACEABLE"><i>filename</i></tt>. For a socket, the <tt
class="REPLACEABLE"><i>filename</i></tt> is in a form of <tt
class="REPLACEABLE"><i>ipaddr:port</i></tt>. This allows top monitoring over TCP on a
system with no local symbols, for example.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211098"
target="_top">r211098</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pom&amp;sektion=6&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pom</span>(6)</span></a> utility
now supports a <code class="OPTION">-p</code> flag to print only the percentage.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210089"
target="_top">r210089</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=powerd&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">powerd</span>(8)</span></a>
utility now supports an <code class="OPTION">-m <tt
class="REPLACEABLE"><i>freq</i></tt></code> and <code class="OPTION">-M <tt
class="REPLACEABLE"><i>freq</i></tt></code> to control the minimum and maximum frequency,
respectively.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=212472"
target="_top">r212472</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ruptime&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ruptime</span>(1)</span></a>
utility now displays hostnames longer than 12 characters.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213825"
target="_top">r213825</a>]</p>

<p>A behavior of the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sh&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sh</span>(1)</span></a> program
when an <code class="OPTION">-u</code> option is specified has been changed. The special
parameters <code class="VARNAME">$@</code> and <code class="VARNAME">$*</code> no longer
cause an error when there are no positional parameters.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215066"
target="_top">r215066</a>]</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sh&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sh</span>(1)</span></a> program
has been fixed. A <tt class="LITERAL">SIGINT</tt> signal is now passed through from a
child process if the shell is interactive and the job control is enabled. For example,
aborting <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sleep&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sleep</span>(1)</span></a> command
by Ctrl-C no longer display <tt class="LITERAL">ok</tt> in the following command line:[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210616"
target="_top">r210616</a>]</p>

<pre class="SCREEN">
<samp class="PROMPT">%</samp> sleep 5; echo ok
</pre>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sh&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sh</span>(1)</span></a> program
now supports a <tt class="COMMAND">bg</tt> command consisting solely of redirections. For
example:[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210732"
target="_top">r210732</a>]</p>

<pre class="SCREEN">
<samp class="PROMPT">%</samp> &lt; /dev/null &amp;
</pre>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sleep&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sleep</span>(1)</span></a> utility
now supports the <tt class="LITERAL">SIGINFO</tt> signal and reports the specified sleep
time and the remaining time.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211536"
target="_top">r211536</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tftp&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tftp</span>(1)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tftpd&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tftpd</span>(8)</span></a>
utilities have been improved for better interoperability and they now support RFC 1350,
2347, 2348, 2349, and 3617.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213036"
target="_top">r213036</a>, <a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213038"
target="_top">r213038</a>]</p>

<p>A bug in <tt class="LITERAL">[=]=]</tt> equivalent class handling in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tr&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tr</span>(1)</span></a> utility
has been fixed. A closing bracket immediately after <tt class="LITERAL">[=</tt> was
incorrectly treated as special.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213899"
target="_top">r213899</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=uname&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">uname</span>(1)</span></a> utility
now supports an <code class="OPTION">-o</code> flag as a synonym for the <code
class="OPTION">-s</code> flag for compatibility with other systems.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210566"
target="_top">r210566</a>]</p>

<p>Bugs in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=vi&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">vi</span>(1)</span></a> utility
have been fixed. They include handling of <tt class="LITERAL">^@</tt> and <tt
class="LITERAL">^C</tt> in insert mode when reading an ex command.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211060"
target="_top">r211060</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=watchdogd&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">watchdogd</span>(8)</span></a>
program now uses <tt class="LITERAL">MADV_PROTECT</tt> memory flag to protect itself from
being terminated by the FreeBSD kernel when available memory becomes short. This kind of
process termination happens in a swap-intensive workload.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214345"
target="_top">r214345</a>]</p>

<p>The <tt class="COMMAND">set sharenfs</tt> command in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=zfs&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">zfs</span>(8)</span></a> utility
now supports <code class="OPTION">sec</code> option.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209870"
target="_top">r209870</a>]</p>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="PERIODIC-SCRIPTS" name="PERIODIC-SCRIPTS">2.3.1 <tt
class="FILENAME">/etc/periodic</tt> Scripts</a></h4>

<p>A periodic script for <tt class="COMMAND">zfs scrub</tt> has been added. For more
details, see <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=periodic.conf&amp;sektion=5&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">periodic.conf</span>(5)</span></a>
manual page.</p>

<p>A periodic script which can be used to find installed ports' files with mismatched
checksum has been added. For more details, see the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=periodic.conf&amp;sektion=5&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">periodic.conf</span>(5)</span></a>
manual page.</p>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="CONTRIB" name="CONTRIB">2.4 Contributed Software</a></h3>

<p>The <b class="APPLICATION">ACPI-CA</b> has been updated to 20101013.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ee&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ee</span>(1)</span></a> program
has been updated to version 1.5.2.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214287"
target="_top">r214287</a>]</p>

<p><b class="APPLICATION">ISC BIND</b> has been updated to version 9.6-ESV-R3.</p>

<p><b class="APPLICATION">netcat</b> has been updated to version 4.8.</p>

<p><b class="APPLICATION">OpenSSL</b> has been updated to version 0.9.8q.</p>

<p>The <b class="APPLICATION">timezone</b> database has been updated to the <b
class="APPLICATION">tzdata2010o</b> release.</p>

<p>The <b class="APPLICATION">xz</b> has been updated from snapshot as of 12 April 2010
to 5.0.0 release</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="PORTS" name="PORTS">2.5 Ports/Packages Collection
Infrastructure</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkg_create&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkg_create</span>(1)</span></a>
utility now supports LZMA (<b class="APPLICATION">xz</b>) compression. Note that the
default is still <b class="APPLICATION">bzip2</b>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215738"
target="_top">r215738</a>]</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="RELENG" name="RELENG">2.6 Release Engineering and
Integration</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysinstall</span>(8)</span></a>
utility now uses the following numbers for default and minimum partition sizes: 1GB for
<tt class="FILENAME">/</tt>, 4GB for <tt class="FILENAME">/var</tt>, and 1GB for <tt
class="FILENAME">/tmp</tt>.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211007"
target="_top">r211007</a>]</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysinstall</span>(8)</span></a>
utility now attempts to enable <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=getty&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">getty</span>(8)</span></a> on a
serial port when no VGA card is detected on the system.[<a
href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211009"
target="_top">r211009</a>]</p>

<p>The supported version of the <b class="APPLICATION">GNOME</b> desktop environment (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/gnome2/pkg-descr"><tt
class="FILENAME">x11/gnome2</tt></a>) has been updated to 2.32.1.</p>

<p>The supported version of the <b class="APPLICATION">KDE</b> desktop environment (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/kde4/pkg-descr"><tt
class="FILENAME">x11/kde4</tt></a>) has been updated to 4.5.5.</p>
</div>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="UPGRADE" name="UPGRADE">3 Upgrading from previous releases of
FreeBSD</a></h2>

<p>[amd64, i386] Upgrades between RELEASE versions (and snapshots of the various security
branches) are supported using the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=freebsd-update&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">freebsd-update</span>(8)</span></a> utility. The binary upgrade
procedure will update unmodified userland utilities, as well as unmodified GENERIC kernel
distributed as a part of an official FreeBSD release. The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=freebsd-update&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">freebsd-update</span>(8)</span></a> utility requires that the host
being upgraded has Internet connectivity.</p>

<p>An older form of binary upgrade is supported through the <tt
class="COMMAND">Upgrade</tt> option from the main <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysinstall</span>(8)</span></a>
menu on CDROM distribution media. This type of binary upgrade may be useful on non-i386,
non-amd64 machines or on systems with no Internet connectivity.</p>

<p>Source-based upgrades (those based on recompiling the FreeBSD base system from source
code) from previous versions are supported, according to the instructions in <tt
class="FILENAME">/usr/src/UPDATING</tt>.</p>

<div class="IMPORTANT">
<blockquote class="IMPORTANT">
<p><b>Important:</b> Upgrading FreeBSD should, of course, only be attempted after backing
up <span class="emphasis"><i class="EMPHASIS">all</i></span> data and configuration
files.</p>
</blockquote>
</div>
</div>
</div>

<hr />
<p align="center"><small>This file, and other release-related documents, can be
downloaded from <a href="ftp://ftp.FreeBSD.org/">ftp://ftp.FreeBSD.org/</a>.</small></p>

<p align="center"><small>For questions about FreeBSD, read the <a
href="http://www.FreeBSD.org/docs.html">documentation</a> before contacting &#60;<a
href="mailto:questions@FreeBSD.org">questions@FreeBSD.org</a>&#62;.</small></p>

<p align="center"><small>For questions about this documentation, e-mail &#60;<a
href="mailto:doc@FreeBSD.org">doc@FreeBSD.org</a>&#62;.</small></p>
++++


